{
  description = "GockOS desktop configuration";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
    hyprland.url = "github:hyprwm/Hyprland";
    hyprland-contrib.url = "github:hyprwm/contrib";
    eww.url = "github:ralismark/eww/tray-3";
    emacs-overlay.url = "github:nix-community/emacs-overlay/";
  };

  outputs = { nixpkgs, home-manager, hyprland, emacs-overlay, eww, ...} @inputs: {
    nixosConfigurations = {
      giacomino = nixpkgs.lib.nixosSystem {
        specialArgs = {inherit inputs;};
          modules = [
            ./configuration/configuration-giacomino.nix
            home-manager.nixosModules.home-manager {
              home-manager.users.ale = import ./home-manager/ale-laptop.nix;
            }
          ];
        };

      caketray = nixpkgs.lib.nixosSystem {
        specialArgs = { inherit inputs; };
          modules = [ 
            ./configuration/configuration-caketray.nix
            home-manager.nixosModules.home-manager
            {
              home-manager.extraSpecialArgs = {inherit inputs;};
              home-manager.users.alecake = import ./home-manager/alecake.nix;
            }
           ];
        };
      };
          
    };
}
